Summary: A tool for exporting C libraries into Scheme interpreters
Name: g-wrap
Version: 0.9.1
Release: 6
Group: Development/Libraries 
Copyright: MIT
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: g-wrap-%{version}.tar.gz
Requires: guile-devel , /sbin/ldconfig

%description
This is a tool for specifying types, functions, and constants to
import into a Scheme interpreter, and for generating code (in C) to
interface these to the Guile and RScheme interpreters in particular.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

gzip %{buildroot}%{_infodir}/g-wrap.info*

%clean
rm -rf %{buildroot}

%post
/sbin/install-info \
    --info-dir=%{_infodir}/info %{_infodir}/g-wrap.info.gz
/sbin/ldconfig

%postun
if [ "$1" = "0" ]; then
    /sbin/install-info --delete \
	--info-dir=%{_infodir}/info %{_infodir}/g-wrap.info.gz
fi
/sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_infodir}/g-wrap.info.gz
%{_libdir}/*
%{_libexecdir}/*
%{_datadir}/guile/site/*

%changelog
* Tue Aug 1 2000 Tim Powers <timp@redhat.com>
- fixed group to be a valid one
- fix bug #15038

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Tue Jul 11 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jul 05 2000 Preston Brown <pbrown@redhat.com>
- adopted for Powertools 7.1
